/* ======================== */
/* ---> SERVICES <--------- */
/* ======================== */
#services {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    #services-content {
        display: flex;
        height: auto;
        margin-top: 70px ;
        margin-bottom: 110px ;
        width: 85%;
        
        #services-left-block {
            align-self: flex-start;
            
            img {
                width: 510px;
                height: 319px;
                margin-left: 20px; 
                margin-top: 20px;
                padding-left: 20px;
            }
        }
        #services-right-block {
            display: flex; 
            flex-direction: column;
            margin: 180px 0 0 60px;

            .services-items { 
                font-size: 1em;
                display: flex;
                margin-left: 75px;
                text-align: justify;
                
                /* ==================================== */
                /* ---> Icons services (UX, UI, SEO --- */
                /* ==================================== */
                .fa.fa-line-chart, .fa.fa-cubes, .fa.fa-pie-chart { color: $light-blue; }

                .fa.fa-circle-thin { 
                    border: 1px solid $icons-circle-color; border-radius: 50%; color: $white; 
                }

                .fa-stack.fa-2x .fa.fa-circle{
                    font-size: 15px ;
                    position: absolute ;
                    left: 52px; top: 18px ;
                    color: $light-blue;
                    border: 8px solid white;
                }
            
                .services-items-content {
                    
                    width: 70%;
                    margin: 0 0 0 30px;
                    position: relative;
                    bottom: 10px;

                    h3 {
                        padding-bottom: 12px;
                    }
                    
                    p { 
                        line-height: 1.5em; 
                    }
                }
            
            }
            span#seo-uppercase { 
                text-transform: uppercase;
            }

            #ui-design, #seo { margin-top: 20px ;}
        }
    }
}

//================================== //
// =====> MEDIA QUERIES
//================================== //
@media only screen and (max-width: 1680px) {
    #services { 
        #services-content {    
            #services-right-block {
                margin: 110px 0 0 0;  
            }
        }
    }
}
@media only screen  and (max-width: 1440px)  {
	#anchor-services { 
        position: relative;
        top: 70px;
    }
	#services { 
        #services-content {
            width: 95%;
        }
    }
}
@media only screen and (max-width: 1024px) {
    #services {   
        #services-content {
            #services-left-block {
                align-self: center;
                img {
                    margin-left: 0;
                }
            }
            #services-right-block {
                margin-top: 90px;
                margin-left : 0;
                position: relative;
                right: 3%;
                bottom: 3%;
                .services-items { 
                    margin-left: 0;
            
                    .services-items-content {
                        width: 78%;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 1280px) {
    #anchor-services {
        position: relative;
        bottom: 60px;
    }
    #services {
        .subtitle {
            margin: 30px 0;
            width: 48%;
        }
        #services-content {
            margin-top:0;
            margin-bottom: 60px;
        }
    }
}
@media only screen and (max-width: 1200px)  {
    #services {
        .subtitle{width:52%;}
        #services-content {
            #services-left-block {
                margin: 0;
                align-self: center;
                img{
                    margin-right: 14px;
                    margin-left:0;
                }
            }
            #services-right-block {
                // width: 98%;
                margin-top: 78px;
                // margin-left: 8%;
                .services-items { 
                    margin-left: 0;        
                    &:nth-child(2), &:nth-child(3) {margin-top: 45px !important;}
                    // .services-items-content {margin-left: 30px;}
                }
            }
        }
    }
}
@media only screen and (max-width: 968px)  {
    #services {
        .subtitle {width: 72%;}
        #services-content {
            flex-direction: column;
            #services-left-block {
                margin: 0;
                align-self: center;
                img {
                    margin: 0;
                    width: 800px;
                    height: 500px;
                }
            }
            #services-right-block {
                width: 98%;
                margin: 35px auto 15px;
                margin-left: 8%;
                .services-items { 
                    margin-left: 0;  
                    text-align: center;       
                    &:nth-child(2), &:nth-child(3) {margin-top: 45px !important;}
                    .services-items-content {margin-left: 30px;}
                }
            }
        }
    }
}
@media only screen and  (max-width: 780px)  {
    #services {
        height: auto;      
        h2 {position : initial;}   
        .subtitle-element {position: initial;}
        .subtitle {width: 75%;}
     
        #services-content {
            padding-bottom: 0;
            margin-bottom: 0;  
            #services-left-block {
                margin:  0 !important ;
            }
            #services-right-block { align-self: center; margin-left: 4%;}
            .services-items { 
                flex-direction: column;
                align-items: center;
                .fa-stack { // Icone right block
                    margin-bottom: 20px;}
                .services-items-content {
                    margin: 0 !important;
                    padding: 0 !important;
                    bottom: 0 !important;
                    width: 94% !important;
                    text-align: center !important;

                    display: flex;
                    flex-direction: column;
                }
            }
        }
    }
}
@media only screen and  (max-width: 680px)  {
    #services {
        #services-content {
            #services-left-block {
                img {width: 510px ; height: 319px ; }
            }
        }
    }
}
@media only screen and (max-width: 480px) {
    #services {
        padding: 0;
        margin-top: 0; 

        #services-content {
            #services-left-block {
                img {
                    // margin: 0;
                    width: 450px;
                    height: 289px;
                    position: relative;
                    right: 1.6%;
                }
            }
        }
    }
}
